UUCLEANUP(8C)

NAME
uucleanup - UUCP spool directory clean-up

SYNOPSIS
/usr/lib/uucp/uucleanup [ -Ctime ] [ -Dtime ] [ -mstring ] [ -otime ] [ -ssystem ] [ -Wtime ] [ -x debug_level ] [ -Xtime ]

AVAILABILITY

This command is available with the uucp software installation option. Refer to for information on how to install optional software.

DESCRIPTION

uucleanup will scan the spool directories for old files and take appropriate action to remove them in a useful way:

    •   Inform the requestor of send/receive requests for systems that cannot be reached.

    •   Return mail, which cannot be delivered, to the sender.

    •   Delete or execute rnews for rnews type files (depending on where the news originated — locally or remotely).

    •   Remove all other files.

In addition, there is provision to warn users of requests that have been waiting for a given number of days (default 1 day). Note: uucleanup will process as if all option times were specified to the default values unless time is specifically set.

This program is typically started by the shell uudemon.cleanup, which should be started by cron(8).

OPTIONS

-Ctime
    Remove any C. files that are at least time days old (default 7 days), and send appropriate information to the requestor.

-Dtime
    Remove any D. files that are at least time days old (default 7 days), and make an attempt to deliver mail messages and execute rnews when appropriate.

-mstring
    Include this line in the warning message generated by the -W option. The default line is `See your local administrator to locate the problem'.

-otime
    Delete other files that are more than time days old (default 2 days).

-ssystem
    Execute for the spool directory for the remote system system only.

-Wtime
    Send a mail message to be sent to the requestor warning about the delay in contacting the remote for any C. files that are time days old (default 1 day). The message includes the JOBID, and in the case of mail, the mail message. The administrator may include a message line telling whom to call to check the problem (-m option).

-x debug_level
    Produce debugging output on the standard output. debug_level is a number between 0 and 9; higher numbers give more detailed information. 5, 7, and 9 are good numbers to try; they give increasing amounts of detail.

-Xtime
    Remove any X. files that are at least time days old (default 2 days). The D. files are probably not present (if they were, the X. could get executed). But if there are D. files, they will be taken care of by D. processing.

FILES
/usr/lib/uucp
    directory with commands used by uucleanup internally
/var/spool/uucp
    spool directory

SEE ALSO
uucp(1C), uux(1C), cron(8)